ON_BumpFunction Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_offsetsurface.h>`

## Public Member Functions

| ON_BumpFunction ()
bool | operator== (const ON_BumpFunction &other) const
bool | operator< (const ON_BumpFunction &other) const
bool | operator> (const ON_BumpFunction &other) const
double | ValueAt (double s, double t) const
void | Evaluate (double s, double t, int der_count, double *value) const
void | EvaluateHelperLinearBump (double t, double dt, int der_count, double *value) const
void | EvaluateHelperQuinticBump (double t, double dt, int der_count, double *value) const

## Public Attributes

ON_2dPoint | m_point
int | m_type [2]
double | m_x0
double | m_y0
double | m_sx [2]
double | m_sy [2]
double | m_a

## Detailed Description

Definition at line 24 of file opennurbs_offsetsurface.h.

## Constructor & Destructor Documentation

ON_BumpFunction::ON_BumpFunction | ( |  | ) |

## Member Function Documentation

void ON_BumpFunction::Evaluate | ( | double | s,
|  | double | t,
|  | int | der_count,
|  | double * | value
| ) |  | const

void ON_BumpFunction::EvaluateHelperLinearBump | ( | double | t,
|  | double | dt,
|  | int | der_count,
|  | double * | value
| ) |  | const

void ON_BumpFunction::EvaluateHelperQuinticBump | ( | double | t,
|  | double | dt,
|  | int | der_count,
|  | double * | value
| ) |  | const

bool ON_BumpFunction::operator< | ( | const ON_BumpFunction & | other | ) | const

bool ON_BumpFunction::operator== | ( | const ON_BumpFunction & | other | ) | const

bool ON_BumpFunction::operator> | ( | const ON_BumpFunction & | other | ) | const

double ON_BumpFunction::ValueAt | ( | double | s,
|  | double | t
| ) |  | const

## Member Data Documentation

double ON_BumpFunction::m_a

Definition at line 53 of file opennurbs_offsetsurface.h.

ON_2dPoint ON_BumpFunction::m_point

Definition at line 45 of file opennurbs_offsetsurface.h.

double ON_BumpFunction::m_sx[2]

Definition at line 51 of file opennurbs_offsetsurface.h.

double ON_BumpFunction::m_sy[2]

Definition at line 52 of file opennurbs_offsetsurface.h.

int ON_BumpFunction::m_type[2]

Definition at line 46 of file opennurbs_offsetsurface.h.

double ON_BumpFunction::m_x0

Definition at line 49 of file opennurbs_offsetsurface.h.

double ON_BumpFunction::m_y0

Definition at line 50 of file opennurbs_offsetsurface.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_offsetsurface.h